classification
Title: ssl.py shouldn't change class names from 2.6 to 3.x
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: janssen Nosy List: janssen
Priority: normal Keywords:

Created on 2007-08-30 21:46 by janssen, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (2)
msg55516 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-08-30 21:46
It seems like a bad idea to have ssl.sslsocket(socket) suddenly become 
ssl.SSLSocket(fileno) in 2.3.  Since no user code is currently using the 
ssl module, it would be a good idea to change it upfront (if possible) 
so that code written against 2.6's version of the ssl module doesn't 
break gratuitously in 3.x.

Would suggest changing the class name now, not documenting the 
initializer, and adding a function (say, "wrap_socket") which takes a 
socket and the other init arguments to the current ssl.sslsocket(), 
which would continue to work the same way in 3.x.
msg55802 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-09-10 21:56
Fixed in rev 58097.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 2.6, Python 3.0
2007-09-10 21:56:18janssensetstatus: open -> closed
resolution: fixed
messages: + msg55802
2007-08-30 21:46:15janssencreate